Status: Closed

Priority: Severe/Regression

Assignee: Jürgen Fischer

Category: Data Provider/PostGIS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21674

Description

Current master cannot load empty Postgis views (=view with no records), even if the user selects a primary key column.

The error message is that "PostgreSQL layer has no primary key". Note that I did select a correct and valid primary key manually.

If one loads an existing project with a reference to an empty Postgis view, the layer appears as "Missing layer".

This is a regression and worked in previous versions.

Thank you for having a look at it.

Associated revisions

Revision 441f6f8c - 2015-10-20 02:42 PM - Jürgen Fischer

postgres provider: allow detection of empty views (fixes #13638)

History

#1 - 2015-10-20 05:43 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"441f6f8cf1c5a500c3e898bfbcdff6757e6d8d73".

#2 - 2015-10-22 01:19 AM - Jürgen Fischer

- Subject changed from Cannot load emptry Postgis views to Cannot load empty Postgis views
